% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Intercept-class.R
\docType{methods}
\name{initialize,Intercept-method}
\alias{initialize,Intercept-method}
\title{Constructor for \linkS4class{Intercept} Class}
\usage{
\S4method{initialize}{Intercept}(.Object, I.values, I.errors, I.z, I.sig,
  I.oldValues, I.oldErrors, I.oldZ, I.oldSig, numViews, rounds, ...)
}
\arguments{
\item{.Object}{An object: see the "Initialize Methods" section.}

\item{I.values}{3-D array of beta values with entries corresponding to (Strand)x(View)x(Round) intercept values.}

\item{I.errors}{3-D array of errors for I.values.}

\item{I.z}{3-D array of Z-scores for I.values.}

\item{I.sig}{3-D array of p-values for I.values.}

\item{I.oldValues}{4-D array for storing previous iteration values beta values for I.values where each entry corresponds to (Strand)x(View)x(Round)x(Iteration).}

\item{I.oldErrors}{4-D array of previous iteration I.errors.}

\item{I.oldZ}{4-D array of previous iteration I.z.}

\item{I.oldSig}{4-D array of previous iteration I.sig.}

\item{numViews}{number of views scored on each DNA strand.}

\item{rounds}{rounds of SELEX data used to evaluate 'model' to which 'Intercept' belongs.}

\item{...}{Arguments to be passed to methods}
}
\description{
Constructor for S4 class  \linkS4class{Intercept}.
}
