% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/N-class.R
\docType{methods}
\name{initialize,N-method}
\alias{initialize,N-method}
\title{Constructor for S4 class 'N'}
\usage{
\S4method{initialize}{N}(.Object, seedLen, N.upFootprintExtend,
  N.downFootprintExtend, fS.upFootprintExtend, fS.downFootprintExtend,
  fpLen, N.set, N.equivMat, N.values, N.errors, N.z, N.sig, N.oldValues,
  N.oldErrors, N.oldZ, N.oldSig, rcSymmetric, ...)
}
\arguments{
\item{.Object}{An object: see the "Initialize Methods" section.}

\item{seedLen}{number of base pairs in the seeding model.}

\item{N.upFootprintExtend}{number of upstream nucleotides to fit beyond the seed.}

\item{N.downFootprintExtend}{number of downstream nucleotides to fit beyond the seed.}

\item{fS.upFootprintExtend}{maximum number of upstream positions to be fit beyond the footprint for any feature.}

\item{fS.downFootprintExtend}{maximum number of downstream positions to be fit beyond the footprint for any feature.}

\item{fpLen}{footprint length for full set of features.}

\item{N.set}{set of positions for which mononucleotides are fit where positions are given relative to the full feature set footprint.}

\item{N.equivMat}{matrix encoding reverse complement symmetries between positions with -1 and identical beta values shared between positions with 1.}

\item{N.values}{beta values for positions in N.set.}

\item{N.errors}{beta value errors for positions in N.set.}

\item{N.z}{beta value z scores for positions in N.set.}

\item{N.sig}{beta value significance for positions in N.set.}

\item{N.oldValues}{previous iteration beta values for positions in N.set.}

\item{N.oldErrors}{previous iteration beta values' errors for positions in N.set.}

\item{N.oldZ}{previous iteration beta values' z scores for positions in N.set.}

\item{N.oldSig}{previous iteration beta values' significance for positions in N.set.}

\item{rcSymmetric}{logical}

\item{...}{Arguments to be passed to methods}
}
\description{
Initializes an S4 class to represent mononuclueotide features
}
