% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Shape-class.R
\docType{methods}
\name{initialize,Shape-method}
\alias{initialize,Shape-method}
\title{Constructor for S4 class 'Shape'}
\usage{
\S4method{initialize}{Shape}(.Object, seedLen, Shape.upFootprintExtend,
  Shape.downFootprintExtend, fS.upFootprintExtend, fS.downFootprintExtend,
  fpLen, Shape.set, Shape.equivMat, Shape.values, Shape.errors, Shape.z,
  Shape.sig, Shape.oldValues, Shape.oldErrors, Shape.oldZ, Shape.oldSig,
  shapeParamsUsed, rcSymmetric, ...)
}
\arguments{
\item{.Object}{An object: see the "Initialize Methods" section.}

\item{seedLen}{number of base pairs in the seeding model.}

\item{Shape.upFootprintExtend}{number of upstream positions to fit shape features beyond the seed.}

\item{Shape.downFootprintExtend}{number of downstream positions to fit shape features beyond the seed.}

\item{fS.upFootprintExtend}{maximum number of upstream positions to be fit beyond the footprint for any feature.}

\item{fS.downFootprintExtend}{maximum number of downstream positions to be fit beyond the footprint for any feature.}

\item{fpLen}{footprint length for full set of features.}

\item{Shape.set}{set of positions for which shape coefficients are fit where positions are given relative to the full feature set footprint.}

\item{Shape.equivMat}{matrix encoding reverse complement symmetries between positions with -1 at Shape.equivMat[position1, position2] entry. All other entries are 0.}

\item{Shape.values}{beta values for positions in Shape.set.}

\item{Shape.errors}{beta value errors for positions in Shape.set.}

\item{Shape.z}{beta value z scores for positions in Shape.set.}

\item{Shape.sig}{beta value significance for positions in Shape.set.}

\item{Shape.oldValues}{previous iteration beta values for positions in Shape.set.}

\item{Shape.oldErrors}{previous iteration beta values' errors for positions in Shape.set.}

\item{Shape.oldZ}{previous iteration beta values' z scores for positions in Shape.set.}

\item{Shape.oldSig}{previous iteration beta values' significance for positions in Shape.set.}

\item{shapeParamsUsed}{list of length 1 containing names of shape parameters to be included in model.}

\item{rcSymmetric}{logical: indicates the model described by the 'Shape' object will be reverse complement symmetric.}

\item{...}{Arguments to be passed to methods}
}
\description{
Initializes an S4 class to represent shape feature coefficients
}
