% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/featureSet-class.R
\docType{methods}
\name{initialize,featureSet-method}
\alias{initialize,featureSet-method}
\title{Initialize object of class \linkS4class{featureSet}.}
\usage{
\S4method{initialize}{featureSet}(.Object, seedLen, upFootprintExtend,
  downFootprintExtend, rcSymmetric, glmFits, designMatrixSummary, N,
  N.upFootprintExtend, N.downFootprintExtend, N.set, N.values, N.errors,
  N.z, N.sig, N.equivMat, N.oldValues, N.oldErrors, N.oldZ, N.oldSig,
  Intercept, numViews, rounds, I.values, I.errors, I.z, I.sig, I.oldValues,
  I.oldErrors, I.oldZ, I.oldSig, Shape, shapeParamsUsed, Shape.values,
  Shape.errors, Shape.z, Shape.sig, Shape.oldValues, Shape.oldErrors,
  Shape.oldZ, Shape.oldSig, Shape.set, Shape.upFootprintExtend,
  Shape.downFootprintExtend, Shape.equivMat, ...)
}
\arguments{
\item{.Object}{An object: see the "Initialize Methods" section.}

\item{seedLen}{number of base pairs in the seeding model.}

\item{upFootprintExtend}{maximum number of upstream positions to be fit beyond the footprint for any feature.}

\item{downFootprintExtend}{maximum number of downstream positions to be fit beyond the footprint for any feature.}

\item{rcSymmetric}{logical: indicating whether reverse complement symmetric model fit should be used.}

\item{glmFits}{List of glm fit summaries.}

\item{designMatrixSummary}{List of design matrices from getDesignMatrix corresponding to the glmFits.}

\item{N}{object of class 'N'}

\item{N.upFootprintExtend}{number of upstream nucleotides to fit beyond the seed.}

\item{N.downFootprintExtend}{number of downstream nucleotides to fit beyond the seed.}

\item{N.set}{set of positions for which mononucleotides are fit where positions are given relative to the full feature set footprint.}

\item{N.values}{beta values for positions in N.set.}

\item{N.errors}{beta value errors for positions in N.set.}

\item{N.z}{beta value z scores for positions in N.set.}

\item{N.sig}{beta value significance for positions in N.set.}

\item{N.equivMat}{matrix encoding reverse complement symmetries between positions with -1 and identical beta values shared between positions with 1.}

\item{N.oldValues}{previous iteration beta values for positions in N.set.}

\item{N.oldErrors}{previous iteration beta values' errors for positions in N.set.}

\item{N.oldZ}{previous iteration beta values' z scores for positions in N.set.}

\item{N.oldSig}{previous iteration beta values' significance for positions in N.set.}

\item{Intercept}{object of class 'Intercept'}

\item{numViews}{number of views scored on each DNA strand.}

\item{rounds}{rounds of SELEX data used to evaluate 'model' to which 'Intercept' belongs.}

\item{I.values}{3-D array of beta values with entries corresponding to (Strand)x(View)x(Round) intercept values.}

\item{I.errors}{3-D array of errors for I.values.}

\item{I.z}{3-D array of Z-scores for I.values.}

\item{I.sig}{3-D array of p-values for I.values.}

\item{I.oldValues}{4-D array for storing previous iteration values beta values for I.values where each entry corresponds to (Strand)x(View)x(Round)x(Iteration).}

\item{I.oldErrors}{4-D array of previous iteration I.errors.}

\item{I.oldZ}{4-D array of previous iteration I.z.}

\item{I.oldSig}{4-D array of previous iteration I.sig.}

\item{Shape}{object of class 'Shape'}

\item{shapeParamsUsed}{list of shape features to be included in 'model'.}

\item{Shape.values}{beta values for positions in Shape.set.}

\item{Shape.errors}{beta value errors for positions in Shape.set.}

\item{Shape.z}{beta value z scores for positions in Shape.set.}

\item{Shape.sig}{beta value significance for positions in Shape.set.}

\item{Shape.oldValues}{previous iteration beta values for positions in Shape.set.}

\item{Shape.oldErrors}{previous iteration beta values' errors for positions in Shape.set.}

\item{Shape.oldZ}{previous iteration beta values' z scores for positions in Shape.set.}

\item{Shape.oldSig}{previous iteration beta values' significance for positions in Shape.set.}

\item{Shape.set}{set of positions for which shape coefficients are fit where positions are given relative to the full feature set footprint.}

\item{Shape.upFootprintExtend}{number of upstream positions to fit shape features beyond the seed.}

\item{Shape.downFootprintExtend}{number of downstream positions to fit shape features beyond the seed.}

\item{Shape.equivMat}{matrix encoding reverse complement symmetries between positions with -1 at Shape.equivMat[position1, position2] entry. All other entries are 0.}

\item{...}{Arguments to be passed to methods}
}
\description{
Initializes an S4 class to represent full model features.
}
